Перейти к содержимому

Введение

  • Версия: 2.0
  • Серверы: https://api.xsolla.com/merchant/v2/

Этот справочник API описывает методы для управления подписками, купонами и акциями. Подробная информация о продукте Subscriptions приведена в руководстве по продукту и глоссарии.

Скачать описание OpenAPI
Языки
Серверы
Mock server
https://xsolla.redocly.app/_mock/ru/api/subscriptions/
Операции
Операции
Операции
Операции
Операции
Операции
Операции
Операции

Запрос

Безопасность
projectUserJwtAuth
Путь
subscription_idinteger\d+обязательный
project_idinteger\d+обязательный
Запрос
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Ответы

Get subscription info

Телоapplication/json
chargeobjectобязательный
charge.​amountnumber(float)обязательный
Пример: 4.99
charge.​currencystringобязательный
Пример: "USD"
charge.​setup_feenumber(float)обязательный
Пример: 0.99
date_createstring(date-time)обязательный
Пример: "2031-04-11T13:51:02+03:00"
date_endstring or null(date-time)
Пример: "2031-04-11T13:51:02+03:00"
date_last_chargestring or null(date-time)
Пример: "2031-04-11T13:51:02+03:00"
date_next_chargestring or null(date-time)
Пример: "2031-04-11T13:51:02+03:00"
idintegerобязательный
Пример: "12345"
is_change_plan_allowedbooleanобязательный
Пример: "false"
is_change_to_non_renew_possiblebooleanобязательный
Пример: "true"
is_in_trialbooleanобязательный
Пример: "false"
is_renew_possiblebooleanобязательный
Пример: "true"
periodobjectобязательный
period.​unitstring or null
По умолчанию null
Пример: "month"
period.​valueinteger or null
По умолчанию null
Пример: "1"
plan_descriptionstringобязательный
Пример: "Localized plan description"
plan_end_datestring or null(date-time)
Пример: "2031-04-11T13:51:02+03:00"
plan_external_idstringобязательный
Пример: "PlanExternalId"
plan_idintegerобязательный
Пример: "54321"
plan_namestringобязательный
Пример: "Localized plan name"
plan_start_datestring or null(date-time)
Пример: "2021-04-11T13:51:02+03:00"
product_descriptionstring or null
Пример: "Localized product description"
product_external_idstring or null
Пример: "ProductExternalId"
product_idinteger or null
Пример: "12345"
product_namestring or null
Пример: "Product name"
statusstringобязательный
Пример: "active"
trial_periodinteger or null
Пример: "0"
Ответ
application/json
{ "charge": { "amount": 4.99, "currency": "USD", "setup_fee": 0.99 }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "product_description": "Localized product description", "product_external_id": "ProductExternalId", "product_id": "12345", "product_name": "Product name", "status": "active", "trial_period": "0" }

Запрос

Безопасность
projectUserJwtAuth
Путь
subscription_idinteger\d+обязательный
project_idinteger\d+обязательный
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Ответы

Make subscription non-renewable

Телоapplication/json
Ответ
application/json
null

Запрос

Безопасность
projectUserJwtAuth
Путь
subscription_idinteger\d+обязательный
project_idinteger\d+обязательный
Телоapplication/jsonобязательный

Renew subscription

custom_parametersobject or null

You can pass additional parameters in the token

По умолчанию null
settings(object or null)
(object or null)
steam_user_idstring or null
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/renew' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": null,
    "settings": {
      "currency": "str",
      "external_id": "string",
      "hide_saved_payment_accounts": true,
      "locale": "st",
      "payment_method": 1,
      "redirect_policy": {
        "delay": 0,
        "redirect_button_caption": "string",
        "redirect_conditions": "none",
        "status_for_manual_redirection": "none"
      },
      "return_url": "string",
      "steam_user_id": "stringstringstrin",
      "ui": {
        "desktop": {
          "header": {
            "close_button": true,
            "is_visible": true,
            "type": "compact",
            "visible_logo": true,
            "visible_name": true
          }
        },
        "independent_windows": true,
        "license_url": "string",
        "mobile": {
          "footer": {
            "is_visible": true
          },
          "header": {
            "close_button": true
          },
          "mode": "saved_accounts"
        },
        "mode": "user_account",
        "size": "large",
        "theme": "string",
        "user_account": {
          "history": {
            "enable": true,
            "order": 1
          },
          "info": {
            "enable": true,
            "order": 1
          },
          "payment_accounts": {
            "enable": true,
            "order": 1
          },
          "subscriptions": {
            "enable": true,
            "order": 1
          }
        },
        "version": "desktop"
      },
      "xsolla_product_tag": "string"
    },
    "steam_user_id": "string"
  }'

Ответы

Get subscription renew url

Телоapplication/json
link_to_psstringобязательный
Пример: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
Ответ
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }
Операции
Операции
Операции
Операции